<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Frame Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structFrame-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Frame Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aecf183afec93f838be459c675dbd8a9b"><td class="memItemLeft" align="right" valign="top"><a id="aecf183afec93f838be459c675dbd8a9b"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>opCode</b>: 4</td></tr>
<tr class="separator:aecf183afec93f838be459c675dbd8a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d2ebd82ce8e048073381bb90e0edb36"><td class="memItemLeft" align="right" valign="top"><a id="a8d2ebd82ce8e048073381bb90e0edb36"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>rsv3</b>: 1</td></tr>
<tr class="separator:a8d2ebd82ce8e048073381bb90e0edb36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd7354ead1eef8839866234d9c51b84"><td class="memItemLeft" align="right" valign="top"><a id="aafd7354ead1eef8839866234d9c51b84"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>rsv2</b>: 1</td></tr>
<tr class="separator:aafd7354ead1eef8839866234d9c51b84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59f506c78c294e70bc22523a04afbc6d"><td class="memItemLeft" align="right" valign="top"><a id="a59f506c78c294e70bc22523a04afbc6d"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>rsv1</b>: 1</td></tr>
<tr class="separator:a59f506c78c294e70bc22523a04afbc6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac17b1793ab77f448924d8bd0724b8f3f"><td class="memItemLeft" align="right" valign="top"><a id="ac17b1793ab77f448924d8bd0724b8f3f"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>fin</b>: 1</td></tr>
<tr class="separator:ac17b1793ab77f448924d8bd0724b8f3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e901c578917ab7b317cb98b6a52389"><td class="memItemLeft" align="right" valign="top"><a id="ab4e901c578917ab7b317cb98b6a52389"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>len</b>: 7</td></tr>
<tr class="separator:ab4e901c578917ab7b317cb98b6a52389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9461456e2f07e6294c4d9d985e7cdb2e"><td class="memItemLeft" align="right" valign="top"><a id="a9461456e2f07e6294c4d9d985e7cdb2e"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>mask</b>: 1</td></tr>
<tr class="separator:a9461456e2f07e6294c4d9d985e7cdb2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>WebSocket.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
